• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/EMail/GetEMailEnvelopes

Some tooltip text!
• 4 minutes to read
 • 4 minutes to read
POST /api/v1/Agents/EMail/GetEMailEnvelopes

Retrieve a set of e-mail envelopes

NsApiSlow threshold: 5000 ms.

Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.

Query String Parameters

Parameter Name Type Description
$select string Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.
POST /api/v1/Agents/EMail/GetEMailEnvelopes?$select=name,department,category/id

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: request

ConnectionInfo, MessageServerIds

Property Name Type Description
ConnectionInfo EMailConnectionInfo All information needed to connect to a mailserver Carrier object for EMailConnectionInfo. Services for the EMailConnectionInfo Carrier is available from the EMail Agent.
MessageServerIds Array

Response:array

OK

Response Description
200 OK

Response body: array

Property Name Type Description
ServerId int32 Unique id for the e-mail on the server
MessageId string Unique id of e-mails
Subject string Subject of the e-mail
From EMailAddress Who did the e-mail originate from
To array To recipients of e-mail
Sent date-time When was the e-mail sent
Priority string Importance of the e-mail
Flags string Flag status of this mail (unread, replied, deleted )
Size int32 Total size of the e-mail
EMailSOInfo EMailSOInfo Glue between SuperOffice data and an e-mail.
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.

Sample request

POST /api/v1/Agents/EMail/GetEMailEnvelopes
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8

{
  "ConnectionInfo": null,
  "MessageServerIds": [
    542,
    278
  ]
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

[
  {
    "ServerId": 447,
    "MessageId": "<20090611101100.45678@techcorp.com>",
    "Subject": "Contract Review Required - Service Agreement",
    "From": null,
    "To": [
      {
        "ContactId": 783,
        "ContactName": "Acme Corporation",
        "PersonId": 274,
        "PersonName": "John Anderson",
        "AssociateId": 118,
        "Address": "john.anderson@acmecorp.com",
        "EmailId": 483,
        "DuplicatePersonIds": [
          974,
          752
        ],
        "Name": "John Anderson",
        "TableRight": null,
        "FieldProperties": {
          "fieldName": {
            "FieldRight": null,
            "FieldType": "System.Int32",
            "FieldLength": 526
          }
        }
      }
    ],
    "Sent": "2009-06-11T10:11:00.0758063+02:00",
    "Priority": "High",
    "Flags": "Answered",
    "Size": 871,
    "EMailSOInfo": null,
    "TableRight": null,
    "FieldProperties": {
      "fieldName": {
        "FieldRight": null,
        "FieldType": "System.Int32",
        "FieldLength": 212
      }
    }
  }
]
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top